Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 618233 - "rhua update" doesnt sync content on CDS if package already exist on rhua but not on CDS
"rhua update" doesnt sync content on CDS if package already exist on rhua but...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: RHUA (Show other bugs)
1.2
All Linux
low Severity medium
: ---
: ---
Assigned To: Jay Dobies
wes hayutin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-26 09:31 EDT by Shveta
Modified: 2012-05-31 08:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-31 08:55:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shveta 2010-07-26 09:31:11 EDT
Description of problem:"rhua update" doesnt sync content on CDS if package already exist on rhua but not on CDS


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. remove package zsh on CDS
2. rhua update
3.
  
Actual results:


Expected results:


Additional info:

on CDS
[root@domU-12-31-39-13-DD-C2 os]# rm -rf zsh-
zsh-4.2.6-3.el5.x86_64.rpm       zsh-html-4.2.6-3.el5.x86_64.rpm
[root@domU-12-31-39-13-DD-C2 os]# rm -rf zsh-*

 On rhua

[root@domU-12-31-39-01-64-52 os]# rhua update
========================================
RHUA Update

Synchronizing content
Synchronizing channel list to base [/mnt/content]
Synchronizing channel [rhel-i386-server-5] and creating repo
Synchronized channel [rhel-i386-server-5] in [118] seconds
Synchronizing channel [rhel-x86_64-server-5] and creating repo
Synchronized channel [rhel-x86_64-server-5] in [173] seconds
Synchronized [0] packages
No new packages, skipping synchronization to CDS instances step
Comment 1 wes hayutin 2010-07-26 09:47:46 EDT
pretty sure that is how its designed..
The Admin can run rhua refresh to resolve the issue.

Jason, what do you think?
Comment 2 Jay Dobies 2010-07-26 12:14:29 EDT
Yup, Wes is right. On an update, we only synchronize the packages over to the CDS if new ones were downloaded from grinder. If grinder reports no new packages, we don't do the sync.

Running 'rhua refresh' will explicitly trigger a package sync with the CDS.
Comment 3 Shveta 2010-07-27 05:29:50 EDT
so there is basically no difference between rhua sync and rhua update ?
I thought rhua update is supposed to work like rhua start : which means it will sync missing package to rhua and CDS.

And after rhua start if i have to sync packages to both CDS and rhua i got to either run :
1) rhua sync and rhua refresh or 
2) rhua start again 


rhua refresh definitely fixes the problem though.
Comment 4 wes hayutin 2010-07-27 08:10:27 EDT
rhua refresh ONLY transfers rpms from the rhua to the cds's.

rhua sync, sync's packages from the hosted source. IF new or updated rpms are found THEN a rhua refresh is called to resync everything to the cds's.

The thought here is that under normal conditions the only time you need to sync packages to the cds is when there is new or updated content.

closing the bug.
Comment 5 wes hayutin 2011-08-01 17:39:59 EDT
moving to release pending
Comment 6 wes hayutin 2012-05-31 08:55:29 EDT
closing out, product released

Note You need to log in before you can comment on or make changes to this bug.